Summary: An email client for GNOME.
Name:      balsa
Version:   2.0.15
Release:   1
License:   GPL
Group: Applications/Internet
Source0:   http://balsa.gnome.org/balsa-%{version}.tar.bz2
Patch0:    rpm-po.patch
Patch1:	   balsa-broken-flock.patch
Patch2:    balsa-2.0.15-soundlist.patch
Patch3:    balsa-2.0.3-spoolbox.patch
Patch4:	   balsa-2.0.10-desktop.patch
URL:       http://balsa.gnome.org/
Prereq: /usr/bin/scrollkeeper-update
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libesmtp >= 0.8.11
BuildRequires: gtk2-devel, autoconf >= 2.52
BuildRequires: libesmtp-devel >= 0.8.11, aspell-devel, krb5-devel, openssl-devel
BuildRequires: gtkhtml2-devel, libgnomeprint22-devel, openldap-devel
BuildRequires: desktop-file-utils, pkgconfig

%description
Balsa is a GNOME email client which supports mbox, maildir, and mh
local mailboxes, and IMAP4 and POP3 remote mailboxes. Email can be
sent via sendmail or SMTP. Optional multithreading support allows for
non-intrusive retrieval and sending of mail. A finished GUI similar to
that of the Eudora email client supports viewing images inline, saving
message parts, viewing headers, adding attachments, moving messages,
and printing messages.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
autoconf
cd libmutt
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
export CFLAGS
if pkgconfig openssl ; then
	CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
	export CPPFLAGS
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	LDFLAGS="$LDFLAGS `pkg-config --libs openssl`"
	export LDFLAGS
fi
%configure --disable-system-install --disable-more-warnings \
 --with-gss --with-ssl --enable-gtkhtml --enable-ldap  \
 --disable-flock --enable-fcntl --disable-pcre

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
desktop-file-install \
	--vendor=net \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications \
	--delete-original \
	$RPM_BUILD_ROOT/%{_datadir}/applications/balsa.desktop

rm -f $RPM_BUILD_ROOT/usr/share/sounds/balsa/*
%find_lang %{name}
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /usr/bin/scrollkeeper-update

%postun -p /usr/bin/scrollkeeper-update


%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs
%{_bindir}/balsa
%{_bindir}/balsa-ab
%{_datadir}/applications/*
%{_datadir}/balsa
%{_datadir}/gnome/help/balsa
%{_datadir}/omf/balsa
%{_datadir}/pixmaps/gnome-balsa2.png
%{_datadir}/sounds/balsa
%{_mandir}/*/*
%config %{_sysconfdir}/sound/events/*


%changelog
* Fri Oct  3 2003 Bill Nottingham <notting@redhat.com> 2.0.15-1
- add a versioned libesmtp *build*requirement, not just requirement (#71319)
- use libgnomeprint22 (#97744, <chabotc@xs4all.nl>)
- update to 2.0.15

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 2.0.11-3
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 30 2003 Bill Nottingham <notting@redhat.com> 2.0.11-1
- update to 2.0.11

* Thu May  1 2003 Bill Nottingham <notting@redhat.com> 2.0.10-1
- update to 2.0.10

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 2.0.6-3
- rebuild to fix broken libpspell dep
- add --enable-deprecated-pspell back since we need it

* Sat Mar 22 2003 Bill Nottingham <notting@redhat.com> 2.0.6-2
- add patch for libmutt for IMAP buffer overflow
- disable use of libpcreposix

* Wed Feb  5 2003 Bill Nottingham <notting@redhat.com> 2.0.6-1
- upgrade to 2.0.6
- fix desktop file so it shows up
- add startupnotify to desktop file

* Wed Jan 29 2003 Bill Nottingham <notting@redhat.com> 2.0.5-4
- grab upstream patch to fix printing

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Bill Nottingham <notting@redhat.com> 2.0.5-2
- fix desktop file

* Wed Jan  8 2003 Bill Nottingham <notting@redhat.com> 2.0.5-1
- update to 2.0.5

* Tue Dec 17 2002 Elliot Lee <sopwith@redhat.com> 2.0.3-2
- Don't redefine __spec_install_post

* Tue Nov  5 2002 Bill Nottingham <notting@redhat.com> 2.0.3-1
- update to 2.0.3

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 1.2.4-7
- rebuild

* Tue Jul 23 2002 Bill Nottingham <notting@redhat.com>
- rebuild, new C++ linkages
- fix desktop
- switch to iso8859-15 fonts by default (#63424)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 16 2002 Bill Nottingham <notting@redhat.com>
- autoconf fun

* Fri Feb 22 2002 Bill Nottingham <notting@redhat.com>
- update to 1.2.4

* Tue Nov  6 2001 Bill Nottingham <notting@redhat.com>
- update to 1.2.3

* Wed Oct 31 2001 Bill Nottingham <notting@redhat.com>
- update to 1.2.2

* Sun Oct 21 2001 Bill Nottingham <notting@redhat.com>
- update to 1.2.1
- fix crash on some usages of settings->customize
- allow setup to continue even if spool mailbox couldn't be created (#23191, #46898)
- change default font (#54704)

* Wed Oct  3 2001 Bill Nottingham <notting@redhat.com>
- don't generate docs; ship already generated ones (#51970)

* Fri Sep 21 2001 Bill Nottingham <notting@redhat.com>
- update to 1.2.0

* Tue Aug 14 2001 Bill Nottingham <notting@redhat.com>
- fix noise (#51763)

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- disable threads (appears to fix #51705)
- fix default English language :)

* Wed Jul 24 2001 Bill Nottingham <notting@redhat.com>
- rebuild (openssl weirdness)

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- update to 1.1.7

* Mon Apr 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Rebuild for pspell

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- update to 1.1.1, clean up source tarball

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- update to 1.1.0

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- rebuilt against libgnomeprint11

* Tue Dec 19 2000 Bill Nottingham <notting@redhat.com>
- update to 1.0.1

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- rebuild against old gnome-print

* Fri Dec 08 2000 Bill Nottingham <notting@redhat.com>
- rebuild against new gnome-print

* Fri Dec  1 2000 Bill Nottingham <notting@redhat.com>
- bump release, enable ldap, move to base distro

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Sun Nov 12 2000 Tim Powers <timp@redhat.com>
- update to 1.0

* Wed Sep 6 2000 Tim Powers <timp@redhat.com>
- remove redundant defines at top of spec file
- Add BuildRequires
- removed Docdir from being defined explicitely
- quiet setup
- use %%configure, it will properly define the --prefix etc. via RPM 4.0
- patch before we get to the build section, patch copied from tarball
- cleaned up files section so that we use predefined macros so that if a dir
  should change in RPM, a rebuild is all that's needed.
- initial build for Powertools

* Tue Aug 15 2000 Pawel Salek <pawsa@theochem.kth.se>

- added --disable-more-warning option - libmutt configure fails without it.

* Thu Jun  1 2000 Peter Williams <peter@newton.cx>

- Don't try to install IDL stuff as we have deleted it :-)

* Thu Dec 30 1999 Bruno Pires Marinho <bapm@camoes.rnl.ist.utl.pt>

- Improved the spec file by adding a sysconfdir=/etc, removing the man
  instalation because balsa does it now and adding the files on the /etc
  to the distribution

* Tue Oct  5 1999 Jan Nieuwenhuizen <janneke@gnu.org>

- Fixed man install

* Sun Sep 26 1999 Stuart Parmenter <pavlov@balsa.net>

- Updated to version 0.5.0

* Mon Dec 14 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated to version 0.4.8.

* Sun Sep 09 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated to version 0.4.7.

* Sun Aug 23 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated to version 0.4.5.

* Mon Aug  3 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated to version 0.4.0.

* Sun Jul 26 1998 Stuart Parmenter <pavlov@pavlov.net>

- Updated RPM file to reflect recent changes with the
  removal of c-client.

* Thu Apr 02 1998 Michael Fulbright <msf@redhat.com>

- First try at an RPM
